org.apache.xalan.xsltc.trax

## Class TemplatesImpl

- java.lang.Object
- - org.apache.xalan.xsltc.trax.TemplatesImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.Templates

      public final class TemplatesImpl
      extends java.lang.Object
      implements javax.xml.transform.Templates, java.io.Serializable

  Author:
    Morten Jorgensen, G. Todd Millerj, Jochen Cordes , Santiago Pericas-Geertsen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplatesImpl()` Need for de-serialization, see readObject().

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties` | `getOutputProperties()` Implements JAXP's Templates.getOutputProperties().
    `DOM` | `getStylesheetDOM()` Return the thread local copy of the stylesheet DOM.
    `byte[][]` | `getTransletBytecodes()` Returns the translet bytecodes stored in this template
    `java.lang.Class[]` | `getTransletClasses()` Returns the translet bytecodes stored in this template
    `int` | `getTransletIndex()` Returns the index of the main class in array of bytecodes
    `javax.xml.transform.Transformer` | `newTransformer()` Implements JAXP's Templates.newTransformer()
    `void` | `setStylesheetDOM(DOM sdom)` Set the thread local copy of the stylesheet DOM.
    `void` | `setURIResolver(javax.xml.transform.URIResolver resolver)` Store URIResolver needed for Transformers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplatesImpl

          public TemplatesImpl()

      Need for de-serialization, see readObject().

  - ### Method Detail

    - #### setURIResolver

          public void setURIResolver(javax.xml.transform.URIResolver resolver)

      Store URIResolver needed for Transformers.

    - #### getTransletBytecodes

          public byte[][] getTransletBytecodes()

      Returns the translet bytecodes stored in this template

    - #### getTransletClasses

          public java.lang.Class[] getTransletClasses()

      Returns the translet bytecodes stored in this template

    - #### getTransletIndex

          public int getTransletIndex()

      Returns the index of the main class in array of bytecodes

    - #### newTransformer

          public javax.xml.transform.Transformer newTransformer()
                                                         throws javax.xml.transform.TransformerConfigurationException

      Implements JAXP's Templates.newTransformer()
      Specified by:
        `newTransformer` in interface `javax.xml.transform.Templates`
      Throws:
        `javax.xml.transform.TransformerConfigurationException`

    - #### getOutputProperties

          public java.util.Properties getOutputProperties()

      Implements JAXP's Templates.getOutputProperties(). We need to instanciate a translet to get the output settings, so we might as well just instanciate a Transformer and use its implementation of this method.
      Specified by:
        `getOutputProperties` in interface `javax.xml.transform.Templates`

    - #### getStylesheetDOM

          public DOM getStylesheetDOM()

      Return the thread local copy of the stylesheet DOM.

    - #### setStylesheetDOM

          public void setStylesheetDOM(DOM sdom)

      Set the thread local copy of the stylesheet DOM.

Copyright © 2023 Apache XML Project. All Rights Reserved.